Subject: adjustable number of decimal points for f:format.currency
Description

From time to time it's useful to have an extra attribute to set the number of decimal points. Because of the fact that especially for large
amounts of money (e.g. realty objects, luxury) no decimals are required, this should be configurable.

History
#1 - 2013-08-23 08:33 - Adrian Föder
- Status changed from New to Rejected
- Priority changed from Should have to Won't have this time

IMO that crosses the border to the need of an own ViewHelper, because one would need to have an en dash as replacement for decimals, one wants
a non-breaking semi space as thousands separator, etc.

Exactly this stuff is mostly "business/project logic" where you want all prices to be formatted particularly, this even more calls for an own, package
specific currency formatting view helper.

I'll presume to reject it so far and have a team member a look at it; anyways feel free to reopen if you disagree.

#2 - 2013-08-23 11:01 - Bastian Waidelich

I agree to Adrian. Besides, if the representation of a number really is part of the domain in some cases the model could already format it, so that
{luxury.price} is enough in the view

#3 - 2013-09-05 09:34 - Josef Glatz

Thanks for the feedback. That's ok for me ;)
